SenseCrypt Docs
API ReferenceAdmin Saml Apps

Create Saml App

POST/v1/admin/saml-apps

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/admin/saml-apps" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "sp_entity_id": "string",    "acs_urls": [      {        "url": "string"      }    ]  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "protocol": "saml",  "name": "string",  "sp_entity_id": "string",  "billing_model": "workforce",  "acs_urls": [    {      "url": "string",      "binding": "post"    }  ],  "name_id_format": "string",  "attribute_map": {    "property1": "string",    "property2": "string"  },  "attribute_name_format": "string",  "authn_context_class_ref": "string",  "sp_signing_cert_pem": "string",  "encryption_cert_pem": "string",  "want_assertions_signed": true,  "want_response_signed": true,  "allow_idp_initiated": true,  "default_relay_state": "string",  "branding": {},  "allow_signup": true,  "signup_group_id": "ff47fb4a-8bed-4084-996e-a273d2ed9d1b",  "allowed_email_origins": [    "string"  ],  "terms_url": "string",  "privacy_url": "string",  "signup_scopes": [    "string"  ],  "created_at": "string",  "revoked_at": "string",  "idp": {    "entity_id": "string",    "sso_url": "string",    "metadata_url": "string",    "certificate_url": "string",    "certificate_pem": "string",    "certificate_fingerprint_sha256": "string"  }}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}